HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get a list of CDRs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

Retrieve CDRs as CPO or EMP. Defaults to CPO. CPO records are all records on your chargers, EMP are all records performed by your Drivers.

Allowed:
string
number
enum
Defaults to 0

Retrieve ongoing charging sessions as part of the response.

Allowed:
date-time

Retrieve charge records updated at or after this time.

date-time

Retrieve charge records updated before this time.

string
Defaults to updatedAt

Field used for sorting the returned results.

string
enum
Defaults to asc

Direction of sorting.

Allowed:
string

Filter object using stringified JSON in MongoDB format. Allowed fields: operatorId, companyId, company.id, auth.idTag.id, auth.idTag.operatorId, auth.idTag.companyId, auth.idTag.customerId, auth.idTag.crmCustomerId, auth.type, transactionId, location.country, location.isPublic, location.crmCustomerId, auth.idTag.uid, startedAt, endedAt, updatedAt, createdAt, isRoaming, location.appUserId, location.id, location.type, consumed, role, evseId, sessionId, paymentMetadata.externalSessionId, roamingDetails.type, voucher.id, chargeBoxId. Mongo operators: $gt, $gte, $lt, $lte, $eq, $ne, $in, $nin, $exists, $regex. Logical operators: $or, $and.

number
enum
Defaults to 0

Retrieve charging sessions belonging to child companies as well, as part of the response.

Allowed:
number
enum
Defaults to 0

Retrieve only priority/non-priority charging records

Allowed:
string

Pagination cursor used to traverse returned records forwards when filtering returns more than limit records. This parameter is mutually exclusive with previousPageCursor.

string

Pagination cursor used to traverse returned records backwards when filtering returns more than limit records. This parameter is mutually exclusive with nextPageCursor.

integer

Number of records to return.

fields
array of strings

List of CDR's properties to be returned in response.

fields
Responses

400

Bad Request provided. A message will describe the issue.

403

Authorization header token is invalid or not provided.

500

Internal Server Error.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json